query PaymentTransaction($id: UUID!) {
paymentTransaction(id: $id) {
acceptor {
allocations {
}
authorizationSummaries {
}
billingDescriptor {
city
name
serviceFeeName
state
}
businessName
fees {
}
feeSummaries {
}
fundingAchReturns {
}
fundingDisputeEvents {
}
fundingSummaries {
}
fundingTransactions {
}
id
name
paymentTransactions {
items
}
paymentTransactionSummaries {
}
reference
}
activityDate
amountDetails {
cashBack
convenienceFee
discount
duty
gratuity
serviceFee
shipping
subTotal
surcharge
}
billingDescriptor
businessApplicationId
fees {
items {
billableEventAmount
calculatedAmount
currency
name
rateMultiplier
rateUnitAmount
type
}
summary {
interchangeAmount
networkAmount
partnerAmount
processorAmount
totalAmount
}
}
id
lineItems {
commodityCode
description
discountAmount
lineItemAmount
productCode
productSku
taxDetails {
localAmount
nationalAmount
totalAmount
}
unitOfMeasure
unitPrice
unitQuantity
}
location {
id
outlet {
id
}
}
merchantCategory
organization {
acceptorApplicationCounts {
acceptorApplicationStatus
total
}
acceptors {
}
achNotificationsOfChange {
}
achReturns {
}
allocations {
}
allowedMerchantCategories {
code
}
authorizationSummaries {
}
businessAddress {
address1
address2
address3
city
countryCode
postalCode
state
}
businessName
capabilities
fees {
}
feeSummaries {
}
fundingAchReturns {
}
fundingDisbursementReturns {
}
fundingDisputeEvents {
}
fundingSummaries {
}
fundingTransactions {
}
id
legalName
name
paymentTransactions {
items
}
paymentTransactionSummaries {
}
phoneNumber
reportAvailability {
availabilityEndDate
availabilityStartDate
dateType
}
settings {
}
}
paymentId
paymentMethod {
acquirerToken
brand
type
}
processingNetwork
processorResponseCode
processorResponseMessage
reference
responseType
resultLabel
taxes {
localAmount
nationalAmount
totalAmount
}
taxIdentificationNumber
transactionDateTime
transactionType
}
}
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query PaymentTransaction($id: UUID!) {\n paymentTransaction(id: $id) {\n acceptor {\n allocations {\n\n }\n authorizationSummaries {\n\n }\n billingDescriptor {\n city\n name\n serviceFeeName\n state\n }\n businessName\n fees {\n\n }\n feeSummaries {\n\n }\n fundingAchReturns {\n\n }\n fundingDisputeEvents {\n\n }\n fundingSummaries {\n\n }\n fundingTransactions {\n\n }\n id\n name\n paymentTransactions {\n items\n }\n paymentTransactionSummaries {\n\n }\n reference\n }\n activityDate\n amountDetails {\n cashBack\n convenienceFee\n discount\n duty\n gratuity\n serviceFee\n shipping\n subTotal\n surcharge\n }\n billingDescriptor\n businessApplicationId\n fees {\n items {\n billableEventAmount\n calculatedAmount\n currency\n name\n rateMultiplier\n rateUnitAmount\n type\n }\n summary {\n interchangeAmount\n networkAmount\n partnerAmount\n processorAmount\n totalAmount\n }\n }\n id\n lineItems {\n commodityCode\n description\n discountAmount\n lineItemAmount\n productCode\n productSku\n taxDetails {\n localAmount\n nationalAmount\n totalAmount\n }\n unitOfMeasure\n unitPrice\n unitQuantity\n }\n location {\n id\n outlet {\n id\n }\n }\n merchantCategory\n organization {\n acceptorApplicationCounts {\n acceptorApplicationStatus\n total\n }\n acceptors {\n\n }\n achNotificationsOfChange {\n\n }\n achReturns {\n\n }\n allocations {\n\n }\n allowedMerchantCategories {\n code\n }\n authorizationSummaries {\n\n }\n businessAddress {\n address1\n address2\n address3\n city\n countryCode\n postalCode\n state\n }\n businessName\n capabilities\n fees {\n\n }\n feeSummaries {\n\n }\n fundingAchReturns {\n\n }\n fundingDisbursementReturns {\n\n }\n fundingDisputeEvents {\n\n }\n fundingSummaries {\n\n }\n fundingTransactions {\n\n }\n id\n legalName\n name\n paymentTransactions {\n items\n }\n paymentTransactionSummaries {\n\n }\n phoneNumber\n reportAvailability {\n availabilityEndDate\n availabilityStartDate\n dateType\n }\n settings {\n\n }\n }\n paymentId\n paymentMethod {\n acquirerToken\n brand\n type\n }\n processingNetwork\n processorResponseCode\n processorResponseMessage\n reference\n responseType\n resultLabel\n taxes {\n localAmount\n nationalAmount\n totalAmount\n }\n taxIdentificationNumber\n transactionDateTime\n transactionType\n }\n}",
"variables": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}'
{
"data": {
"paymentTransaction": {
"acceptor": {
"allocations": {
"items": [
"example"
],
"pageInfo": "example"
},
"authorizationSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"billingDescriptor": {
"city": "example",
"name": "Ben Torres",
"serviceFeeName": "example",
"state": "example"
},
"businessName": "Clacksworth Keyboards",
"fees": {
"items": [
"example"
],
"pageInfo": "example"
},
"feeSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingAchReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "Ben Torres",
"paymentTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"paymentTransactionSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"reference": "example"
},
"activityDate": "2026-01-15",
"amountDetails": {
"cashBack": 0,
"convenienceFee": 0,
"discount": 0,
"duty": 0,
"gratuity": 0,
"serviceFee": 0,
"shipping": 0,
"subTotal": 0,
"surcharge": 0
},
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessApplicationId": "CB",
"fees": {
"items": [
{
"billableEventAmount": 0,
"calculatedAmount": 0,
"currency": "example",
"name": "Ben Torres",
"rateMultiplier": 0,
"rateUnitAmount": 0,
"type": "SETTLEMENT"
}
],
"summary": {
"interchangeAmount": 0,
"networkAmount": 0,
"partnerAmount": 0,
"processorAmount": 0,
"totalAmount": 0
}
},
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"lineItems": [
{
"commodityCode": "example",
"description": "example",
"discountAmount": 0,
"lineItemAmount": 0,
"productCode": "example",
"productSku": "example",
"taxDetails": {
"localAmount": 0,
"nationalAmount": 0,
"totalAmount": 0
},
"unitOfMeasure": "example",
"unitPrice": 0,
"unitQuantity": 0
}
],
"location": {
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"outlet": {
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"pointOfInteraction": "example"
}
},
"merchantCategory": "example",
"organization": {
"acceptorApplicationCounts": [
{
"acceptorApplicationStatus": "APPROVED",
"total": 0
}
],
"acceptors": {
"items": [
"example"
],
"pageInfo": "example"
},
"achNotificationsOfChange": {
"items": [
"example"
],
"pageInfo": "example"
},
"achReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"allocations": {
"items": [
"example"
],
"pageInfo": "example"
},
"allowedMerchantCategories": [
{
"code": "example"
}
],
"authorizationSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"businessAddress": {
"address1": "example",
"address2": "example",
"address3": "example",
"city": "example",
"countryCode": "AFG",
"postalCode": "example",
"state": "example"
},
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": {
"items": [
"example"
],
"pageInfo": "example"
},
"feeSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingAchReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisbursementReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"paymentTransactionSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"phoneNumber": "example",
"reportAvailability": [
{
"availabilityEndDate": "2026-01-15",
"availabilityStartDate": "2026-01-15",
"dateType": "ACTIVITY_DATE"
}
],
"settings": {
"access": "example"
}
},
"paymentId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"paymentMethod": {
"acquirerToken": "example",
"brand": "VISA",
"type": "CARD"
},
"processingNetwork": "VISA",
"processorResponseCode": "A0000",
"processorResponseMessage": "example",
"reference": "example",
"responseType": "APPROVAL",
"resultLabel": "example",
"taxes": {
"localAmount": 0,
"nationalAmount": 0,
"totalAmount": 0
},
"taxIdentificationNumber": "example",
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionType": "AUTHORIZATION"
}
}
}
Reporting
paymentTransaction
A single payment transaction request (including conveyed).
query PaymentTransaction($id: UUID!) {
paymentTransaction(id: $id) {
acceptor {
allocations {
}
authorizationSummaries {
}
billingDescriptor {
city
name
serviceFeeName
state
}
businessName
fees {
}
feeSummaries {
}
fundingAchReturns {
}
fundingDisputeEvents {
}
fundingSummaries {
}
fundingTransactions {
}
id
name
paymentTransactions {
items
}
paymentTransactionSummaries {
}
reference
}
activityDate
amountDetails {
cashBack
convenienceFee
discount
duty
gratuity
serviceFee
shipping
subTotal
surcharge
}
billingDescriptor
businessApplicationId
fees {
items {
billableEventAmount
calculatedAmount
currency
name
rateMultiplier
rateUnitAmount
type
}
summary {
interchangeAmount
networkAmount
partnerAmount
processorAmount
totalAmount
}
}
id
lineItems {
commodityCode
description
discountAmount
lineItemAmount
productCode
productSku
taxDetails {
localAmount
nationalAmount
totalAmount
}
unitOfMeasure
unitPrice
unitQuantity
}
location {
id
outlet {
id
}
}
merchantCategory
organization {
acceptorApplicationCounts {
acceptorApplicationStatus
total
}
acceptors {
}
achNotificationsOfChange {
}
achReturns {
}
allocations {
}
allowedMerchantCategories {
code
}
authorizationSummaries {
}
businessAddress {
address1
address2
address3
city
countryCode
postalCode
state
}
businessName
capabilities
fees {
}
feeSummaries {
}
fundingAchReturns {
}
fundingDisbursementReturns {
}
fundingDisputeEvents {
}
fundingSummaries {
}
fundingTransactions {
}
id
legalName
name
paymentTransactions {
items
}
paymentTransactionSummaries {
}
phoneNumber
reportAvailability {
availabilityEndDate
availabilityStartDate
dateType
}
settings {
}
}
paymentId
paymentMethod {
acquirerToken
brand
type
}
processingNetwork
processorResponseCode
processorResponseMessage
reference
responseType
resultLabel
taxes {
localAmount
nationalAmount
totalAmount
}
taxIdentificationNumber
transactionDateTime
transactionType
}
}
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query PaymentTransaction($id: UUID!) {\n paymentTransaction(id: $id) {\n acceptor {\n allocations {\n\n }\n authorizationSummaries {\n\n }\n billingDescriptor {\n city\n name\n serviceFeeName\n state\n }\n businessName\n fees {\n\n }\n feeSummaries {\n\n }\n fundingAchReturns {\n\n }\n fundingDisputeEvents {\n\n }\n fundingSummaries {\n\n }\n fundingTransactions {\n\n }\n id\n name\n paymentTransactions {\n items\n }\n paymentTransactionSummaries {\n\n }\n reference\n }\n activityDate\n amountDetails {\n cashBack\n convenienceFee\n discount\n duty\n gratuity\n serviceFee\n shipping\n subTotal\n surcharge\n }\n billingDescriptor\n businessApplicationId\n fees {\n items {\n billableEventAmount\n calculatedAmount\n currency\n name\n rateMultiplier\n rateUnitAmount\n type\n }\n summary {\n interchangeAmount\n networkAmount\n partnerAmount\n processorAmount\n totalAmount\n }\n }\n id\n lineItems {\n commodityCode\n description\n discountAmount\n lineItemAmount\n productCode\n productSku\n taxDetails {\n localAmount\n nationalAmount\n totalAmount\n }\n unitOfMeasure\n unitPrice\n unitQuantity\n }\n location {\n id\n outlet {\n id\n }\n }\n merchantCategory\n organization {\n acceptorApplicationCounts {\n acceptorApplicationStatus\n total\n }\n acceptors {\n\n }\n achNotificationsOfChange {\n\n }\n achReturns {\n\n }\n allocations {\n\n }\n allowedMerchantCategories {\n code\n }\n authorizationSummaries {\n\n }\n businessAddress {\n address1\n address2\n address3\n city\n countryCode\n postalCode\n state\n }\n businessName\n capabilities\n fees {\n\n }\n feeSummaries {\n\n }\n fundingAchReturns {\n\n }\n fundingDisbursementReturns {\n\n }\n fundingDisputeEvents {\n\n }\n fundingSummaries {\n\n }\n fundingTransactions {\n\n }\n id\n legalName\n name\n paymentTransactions {\n items\n }\n paymentTransactionSummaries {\n\n }\n phoneNumber\n reportAvailability {\n availabilityEndDate\n availabilityStartDate\n dateType\n }\n settings {\n\n }\n }\n paymentId\n paymentMethod {\n acquirerToken\n brand\n type\n }\n processingNetwork\n processorResponseCode\n processorResponseMessage\n reference\n responseType\n resultLabel\n taxes {\n localAmount\n nationalAmount\n totalAmount\n }\n taxIdentificationNumber\n transactionDateTime\n transactionType\n }\n}",
"variables": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}'
{
"data": {
"paymentTransaction": {
"acceptor": {
"allocations": {
"items": [
"example"
],
"pageInfo": "example"
},
"authorizationSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"billingDescriptor": {
"city": "example",
"name": "Ben Torres",
"serviceFeeName": "example",
"state": "example"
},
"businessName": "Clacksworth Keyboards",
"fees": {
"items": [
"example"
],
"pageInfo": "example"
},
"feeSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingAchReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "Ben Torres",
"paymentTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"paymentTransactionSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"reference": "example"
},
"activityDate": "2026-01-15",
"amountDetails": {
"cashBack": 0,
"convenienceFee": 0,
"discount": 0,
"duty": 0,
"gratuity": 0,
"serviceFee": 0,
"shipping": 0,
"subTotal": 0,
"surcharge": 0
},
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessApplicationId": "CB",
"fees": {
"items": [
{
"billableEventAmount": 0,
"calculatedAmount": 0,
"currency": "example",
"name": "Ben Torres",
"rateMultiplier": 0,
"rateUnitAmount": 0,
"type": "SETTLEMENT"
}
],
"summary": {
"interchangeAmount": 0,
"networkAmount": 0,
"partnerAmount": 0,
"processorAmount": 0,
"totalAmount": 0
}
},
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"lineItems": [
{
"commodityCode": "example",
"description": "example",
"discountAmount": 0,
"lineItemAmount": 0,
"productCode": "example",
"productSku": "example",
"taxDetails": {
"localAmount": 0,
"nationalAmount": 0,
"totalAmount": 0
},
"unitOfMeasure": "example",
"unitPrice": 0,
"unitQuantity": 0
}
],
"location": {
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"outlet": {
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"pointOfInteraction": "example"
}
},
"merchantCategory": "example",
"organization": {
"acceptorApplicationCounts": [
{
"acceptorApplicationStatus": "APPROVED",
"total": 0
}
],
"acceptors": {
"items": [
"example"
],
"pageInfo": "example"
},
"achNotificationsOfChange": {
"items": [
"example"
],
"pageInfo": "example"
},
"achReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"allocations": {
"items": [
"example"
],
"pageInfo": "example"
},
"allowedMerchantCategories": [
{
"code": "example"
}
],
"authorizationSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"businessAddress": {
"address1": "example",
"address2": "example",
"address3": "example",
"city": "example",
"countryCode": "AFG",
"postalCode": "example",
"state": "example"
},
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": {
"items": [
"example"
],
"pageInfo": "example"
},
"feeSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingAchReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisbursementReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"paymentTransactionSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"phoneNumber": "example",
"reportAvailability": [
{
"availabilityEndDate": "2026-01-15",
"availabilityStartDate": "2026-01-15",
"dateType": "ACTIVITY_DATE"
}
],
"settings": {
"access": "example"
}
},
"paymentId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"paymentMethod": {
"acquirerToken": "example",
"brand": "VISA",
"type": "CARD"
},
"processingNetwork": "VISA",
"processorResponseCode": "A0000",
"processorResponseMessage": "example",
"reference": "example",
"responseType": "APPROVAL",
"resultLabel": "example",
"taxes": {
"localAmount": 0,
"nationalAmount": 0,
"totalAmount": 0
},
"taxIdentificationNumber": "example",
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionType": "AUTHORIZATION"
}
}
}
Query
Arguments
UUID!
required
Return type
PaymentTransaction
Acceptor!
required
Show child attributes
Show child attributes
AllocationDetailCollection
An itemized list of applied allocations for a given transaction activity date or funds release date.See AllocationDetailCollection
AuthorizationSummaryCollection
A summary of authorizations (counts, amounts) for the given transaction date, grouped by acceptor, transaction currency, response code, and payment brand.See AuthorizationSummaryCollection
BillingDescriptor!
required
Billing descriptor information for the acceptor.See BillingDescriptor
String!
required
The descriptive name for the acceptor that is different from its legal entity name. Also known as “Doing Business As” (DBA), “trade name”, “assumed name”, or “fictitious name”.
FeeCollection
An itemized list of applied fees for a given transaction activity date or funds release date.See FeeCollection
FeeSummaryCollection
A summary of aggregated fees by acceptor and fee name/program for a specified activity date or funds release date, grouped by fee type, and where applicable, payment brand, product, and funding source.See FeeSummaryCollection
FundingAchReturnOutputCollection
An itemized list of financially impacting ach returns occuring on the pertinent funds release dates. Use this report to track ach return-related money-movements.See FundingAchReturnOutputCollection
FundingDisputeEventOutputCollection
An itemized list of financially impacting dispute events occuring on the pertinent funds release dates. Use this report to track dispute-related money-movements.See FundingDisputeEventOutputCollection
FundingSummaryCollection
A summary of financial activity for a given funds release date or transaction activity date. Use this report to understand financial impact of daily sales, reconcile sales activity to your bank deposits, or drill deeper into the composition of your funding.See FundingSummaryCollection
FundingTransactionCollection
An itemized list of funded transactions (captures, sales, and refunds) for the selected transaction activity date or funds release date.See FundingTransactionCollection
UUID!
required
The id of the acceptor as defined in their profile.
String!
required
deprecated
The descriptive name for the acceptor that is different from its legal entity name. Also known as “Doing Business As” (DBA), “trade name”, “assumed name”, or “fictitious name”.Deprecated: Use businessName instead.
PaymentTransactionCollection
A list of transaction requests (including conveyed) submitted on the pertinent transaction activity dates. Use this report as an operational tool to reconcile against your internal record of submitted transactions.See PaymentTransactionCollection
PaymentTransactionSummaryCollection
A summary of transaction aggregates (counts and amounts, including conveyed transactions) by pertinent transaction type, currency, card brand, and transaction activity date.See PaymentTransactionSummaryCollection
String!
required
The acceptor provided reference as defined in their profile.
Date
The date Tesouro recognized the payment request based upon the acceptor cutoff.
AmountDetails
Components of the requested amount that may or may not have been provided by the presenter on the payment transaction request.
Show child attributes
Show child attributes
Decimal
The amount of cashback requested by the presenter.
Decimal
The total amount of convenience fees collected.
Decimal
Total discount amount applied to the order.
Decimal
Total charges for any import or export duties included in the order.
Decimal
The amount of gratuity requested by the presenter.
Decimal
The total amount of service fees collected.
Decimal
Total shipping charges for the transaction.
Decimal
The sum of all item costs in the transaction before applying any additional charges such as taxes, or fees.
Decimal
The total amount of surcharge collected.
String
The billing descriptor name that appears on the customer’s statement.
BusinessApplicationId
The business application identifier (BAI) is a value provided by Visa to identify the type of transfer that is being performed.
Show Possible enum values
Show Possible enum values
enum
Consumer Bill Pay
FeeDetails
Aggregate information for assessed fees
Show child attributes
Show child attributes
[ItemizedFee!]!
required
An itemized collection of each fee applicable to the transaction entity.See ItemizedFee
FeeSummaryTotals!
required
Total amount of various fee types.See FeeSummaryTotals
UUID!
required
A unique identifier assigned by Tesouro for every transaction request received.
[LineItem!]
Line items associated with the payment transaction.
Show child attributes
Show child attributes
String
A specific code used to classify and categorize the type of goods and services being purchased.
String
Description of the goods or services.
Decimal
Details regarding any discounts applied to the line item.
Decimal
The total amount of the item. Calculated as [Unit price * Unit quantity]
String
The supplier’s unique product identifier, inventory number, or UPC code used to identity a specific product.
String
A SKU, or Stock Keeping Unit, is a unique alphanumeric code assigned by a retailer to identify and track each distinct product or product variation within their inventory.
LineItemTaxes
Tax details applicable to the individual line item. If the item is not taxable, these fields should be set to null.See LineItemTaxes
String
The metric used for understanding the quantity of a given line item. e.g., for quantities, use “each” or “piece” for length, use “meter” or “inch” for volume, use “liter” or “gallon” and for weight, use “gram” or “pound”, etc.
Decimal
The “per unit” price of the line item.
Decimal
The number of units included in the line item.
Location
String
Unique ISO four digit values used to classify merchants and their transactions into specific
categories based on the type of business, trade or services supplied.
Organization!
required
Show child attributes
Show child attributes
[AcceptorApplicationCounts!]!
required
The counts of acceptor applications for this organization, grouped by application status.See AcceptorApplicationCounts
AcceptorCollection
AchNotificationOfChangeCollection
A Notification of Change (NOC), notifies the sender of an ACH payment that information related to the customer’s bank account was inaccurate or outdated, and provides the updated information that needs to be corrected before another payment can be sent from (or to) the account.See AchNotificationOfChangeCollection
AchReturnCollection
An itemized list of ach returns for a given transaction activity date or acticity date.See AchReturnCollection
AllocationDetailCollection
An itemized list of applied allocations for a given transaction activity date or funds release date.See AllocationDetailCollection
[MerchantCategory!]!
required
The allowed Merchant Category Codes for acceptors within this organization.See MerchantCategory
AuthorizationSummaryCollection
A summary of authorizations (counts, amounts) for the given transaction date, grouped by acceptor, transaction currency, response code, and payment brand.See AuthorizationSummaryCollection
AddressOutput
The business address of the organization.See AddressOutput
String!
required
The descriptive name for the organization that is different from its legal entity name. Also known as “Doing Business As” (DBA), “trade name”, “assumed name”, or “fictitious name”.
[OrganizationCapability!]!
required
The product capabilities enabled for this organization.See OrganizationCapability
FeeCollection
An itemized list of applied fees for a given transaction activity date or funds release date.See FeeCollection
FeeSummaryCollection
A summary of aggregated fees by acceptor and fee name/program for a specified activity date or funds release date, grouped by fee type, and where applicable, payment brand, product, and funding source.See FeeSummaryCollection
FundingAchReturnOutputCollection
An itemized list of financially impacting ACH returns occurring on the pertinent funds release dates. Use this report to track ACH return-related money-movements.See FundingAchReturnOutputCollection
FundingDisbursementReturnCollection
An itemized list of funding disbursement returns for a given activity date.See FundingDisbursementReturnCollection
FundingDisputeEventOutputCollection
An itemized list of financially impacting dispute events occuring on the pertinent funds release dates. Use this report to track dispute-related money-movements.See FundingDisputeEventOutputCollection
FundingSummaryCollection
A summary of financial activity for a given funds release date or transaction activity date. Use this report to understand financial impact of daily sales, reconcile sales activity to your bank deposits, or drill deeper into the composition of your funding.See FundingSummaryCollection
FundingTransactionCollection
An itemized list of funded transactions (captures, sales, and refunds) for the selected transaction activity date or funds release date.See FundingTransactionCollection
UUID!
required
The id of the organization as defined in their profile.
String!
required
The legal entity name for the organization.
String!
required
deprecated
The descriptive name for the organization that is different from its legal entity name. Also known as “Doing Business As” (DBA), “trade name”, “assumed name”, or “fictitious name”.Deprecated: Use businessName instead.
PaymentTransactionCollection
A list of payment transaction requests (including conveyed) submitted on the pertinent transaction activity dates. Use this report as an operational tool to reconcile against your internal record of submitted transactions.See PaymentTransactionCollection
PaymentTransactionSummaryCollection
A summary of transaction aggregates (counts and amounts, including conveyed transactions) by pertinent transaction type, currency, card brand, and transaction activity date.See PaymentTransactionSummaryCollection
String
The phone number of the organization.
[ReportAvailability!]
OrganizationSettingsOutput!
required
Organization settings.See OrganizationSettingsOutput
UUID!
required
A unique 36 character identifier created by Tesouro and assigned to a group of transactions in the
same payment request cohort. e.g., An authorization request, incremental authorization request,
and the final capture would have the same paymentID.
PaymentMethod!
required
Refers to the various options available for customers to make payments when purchasing a product or service.
Show child attributes
Show child attributes
String
The acquirer token on file for this payment card, if the card has been used before and the transactor is subscribed to Tesouro’s tokenization services. Otherwise, this field’s value will be null.
PaymentBrand
The brand of payment method used.See PaymentBrand
PaymentMethodType
The type of payment method used by the customer to submit the transaction, e.g., Card, Bank transfer, etc.See PaymentMethodType
Network!
required
ProcessorResponseCode!
required
A response code provided by Tesouro identifying the specific approval or decline reason.
…and 90 more values. See ProcessorResponseCode for the full list.
Show Possible enum values
Show Possible enum values
enum
Full amount approved.
enum
Partially approved. The transaction was approved for an amount less than the original request because the cardholder’s account balance was insufficient to cover the full amount.
enum
Purchase amount approved, not cash.
enum
Point-to-Point Encryption (P2PE) success.
enum
Account Validated.
String!
required
A human readable description of the authorization response code. e.g., Insufficient funds.
String
A unique transaction identifier created by the entity holding the direct relationship with the
Acceptor. Tesouro uses this identifier to manage idempotency.
ResponseType
String!
required
Short description of the payment transaction result. Examples include Approved, Insufficient
funds. Intended for display purposes only.
Taxes
String
The last 4 digits of the tax identification number (TIN), which is a unique identifier created by
the national government and associated with the acceptor at the time the transaction was
submitted.
DateTime!
required
The date and time that Tesouro received the transaction, in UTC. Formatted as 2024-03-27T02:40:00Z
PaymentTransactionType!
required
The type of payment transaction, e.g., Authorization, Capture, Sale, Refund, Reversal, etc.
Show Possible enum values
Show Possible enum values
enum
A request to the cardholder’s issuing bank to confirm that the account is active and has enough credit or funds to make the transaction. If approved, the requested amount is put on hold in the cardholder’s account.
enum
A request to adjust the amount of a previously approved authorization before it is captured.
enum
A request to initiate the flow of funds from the cardholder’s issuing bank account to your merchant account. Follows an approved authorization.
enum
A request to initiate the flow of funds from the customer’s bank account to your merchant account.
enum
A request to send money back to the cardholder’s account who has returned a purchase or no longer wants to receive services.
enum
A request to cancel a previous transaction request. Authorization reversals notify the cardholder’s issuer that all or part of a transaction has been canceled and that the authorization hold should be released.
enum
Performs address and card security code checks on a cardholder’s account to ensure it is in good standing, without actually charging an amount to the card.
enum
A request to the cardholder’s issuing bank to confirm that the account is active and capable of completing the refund transaction.
enum
Validates a bank account to ensure that the account belongs to the person or entity that claims to own it.
query PaymentTransaction($id: UUID!) {
paymentTransaction(id: $id) {
acceptor {
allocations {
}
authorizationSummaries {
}
billingDescriptor {
city
name
serviceFeeName
state
}
businessName
fees {
}
feeSummaries {
}
fundingAchReturns {
}
fundingDisputeEvents {
}
fundingSummaries {
}
fundingTransactions {
}
id
name
paymentTransactions {
items
}
paymentTransactionSummaries {
}
reference
}
activityDate
amountDetails {
cashBack
convenienceFee
discount
duty
gratuity
serviceFee
shipping
subTotal
surcharge
}
billingDescriptor
businessApplicationId
fees {
items {
billableEventAmount
calculatedAmount
currency
name
rateMultiplier
rateUnitAmount
type
}
summary {
interchangeAmount
networkAmount
partnerAmount
processorAmount
totalAmount
}
}
id
lineItems {
commodityCode
description
discountAmount
lineItemAmount
productCode
productSku
taxDetails {
localAmount
nationalAmount
totalAmount
}
unitOfMeasure
unitPrice
unitQuantity
}
location {
id
outlet {
id
}
}
merchantCategory
organization {
acceptorApplicationCounts {
acceptorApplicationStatus
total
}
acceptors {
}
achNotificationsOfChange {
}
achReturns {
}
allocations {
}
allowedMerchantCategories {
code
}
authorizationSummaries {
}
businessAddress {
address1
address2
address3
city
countryCode
postalCode
state
}
businessName
capabilities
fees {
}
feeSummaries {
}
fundingAchReturns {
}
fundingDisbursementReturns {
}
fundingDisputeEvents {
}
fundingSummaries {
}
fundingTransactions {
}
id
legalName
name
paymentTransactions {
items
}
paymentTransactionSummaries {
}
phoneNumber
reportAvailability {
availabilityEndDate
availabilityStartDate
dateType
}
settings {
}
}
paymentId
paymentMethod {
acquirerToken
brand
type
}
processingNetwork
processorResponseCode
processorResponseMessage
reference
responseType
resultLabel
taxes {
localAmount
nationalAmount
totalAmount
}
taxIdentificationNumber
transactionDateTime
transactionType
}
}
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
curl --request POST \
--url https://api.sandbox.com/graphql \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <YOUR_ACCESS_TOKEN>' \
--data '{
"query": "query PaymentTransaction($id: UUID!) {\n paymentTransaction(id: $id) {\n acceptor {\n allocations {\n\n }\n authorizationSummaries {\n\n }\n billingDescriptor {\n city\n name\n serviceFeeName\n state\n }\n businessName\n fees {\n\n }\n feeSummaries {\n\n }\n fundingAchReturns {\n\n }\n fundingDisputeEvents {\n\n }\n fundingSummaries {\n\n }\n fundingTransactions {\n\n }\n id\n name\n paymentTransactions {\n items\n }\n paymentTransactionSummaries {\n\n }\n reference\n }\n activityDate\n amountDetails {\n cashBack\n convenienceFee\n discount\n duty\n gratuity\n serviceFee\n shipping\n subTotal\n surcharge\n }\n billingDescriptor\n businessApplicationId\n fees {\n items {\n billableEventAmount\n calculatedAmount\n currency\n name\n rateMultiplier\n rateUnitAmount\n type\n }\n summary {\n interchangeAmount\n networkAmount\n partnerAmount\n processorAmount\n totalAmount\n }\n }\n id\n lineItems {\n commodityCode\n description\n discountAmount\n lineItemAmount\n productCode\n productSku\n taxDetails {\n localAmount\n nationalAmount\n totalAmount\n }\n unitOfMeasure\n unitPrice\n unitQuantity\n }\n location {\n id\n outlet {\n id\n }\n }\n merchantCategory\n organization {\n acceptorApplicationCounts {\n acceptorApplicationStatus\n total\n }\n acceptors {\n\n }\n achNotificationsOfChange {\n\n }\n achReturns {\n\n }\n allocations {\n\n }\n allowedMerchantCategories {\n code\n }\n authorizationSummaries {\n\n }\n businessAddress {\n address1\n address2\n address3\n city\n countryCode\n postalCode\n state\n }\n businessName\n capabilities\n fees {\n\n }\n feeSummaries {\n\n }\n fundingAchReturns {\n\n }\n fundingDisbursementReturns {\n\n }\n fundingDisputeEvents {\n\n }\n fundingSummaries {\n\n }\n fundingTransactions {\n\n }\n id\n legalName\n name\n paymentTransactions {\n items\n }\n paymentTransactionSummaries {\n\n }\n phoneNumber\n reportAvailability {\n availabilityEndDate\n availabilityStartDate\n dateType\n }\n settings {\n\n }\n }\n paymentId\n paymentMethod {\n acquirerToken\n brand\n type\n }\n processingNetwork\n processorResponseCode\n processorResponseMessage\n reference\n responseType\n resultLabel\n taxes {\n localAmount\n nationalAmount\n totalAmount\n }\n taxIdentificationNumber\n transactionDateTime\n transactionType\n }\n}",
"variables": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
}'
{
"data": {
"paymentTransaction": {
"acceptor": {
"allocations": {
"items": [
"example"
],
"pageInfo": "example"
},
"authorizationSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"billingDescriptor": {
"city": "example",
"name": "Ben Torres",
"serviceFeeName": "example",
"state": "example"
},
"businessName": "Clacksworth Keyboards",
"fees": {
"items": [
"example"
],
"pageInfo": "example"
},
"feeSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingAchReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",
"name": "Ben Torres",
"paymentTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"paymentTransactionSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"reference": "example"
},
"activityDate": "2026-01-15",
"amountDetails": {
"cashBack": 0,
"convenienceFee": 0,
"discount": 0,
"duty": 0,
"gratuity": 0,
"serviceFee": 0,
"shipping": 0,
"subTotal": 0,
"surcharge": 0
},
"billingDescriptor": "CLACKSWORTH KEYBOARDS",
"businessApplicationId": "CB",
"fees": {
"items": [
{
"billableEventAmount": 0,
"calculatedAmount": 0,
"currency": "example",
"name": "Ben Torres",
"rateMultiplier": 0,
"rateUnitAmount": 0,
"type": "SETTLEMENT"
}
],
"summary": {
"interchangeAmount": 0,
"networkAmount": 0,
"partnerAmount": 0,
"processorAmount": 0,
"totalAmount": 0
}
},
"id": "c9a1e2d3-4b5f-6789-0abc-def123456789",
"lineItems": [
{
"commodityCode": "example",
"description": "example",
"discountAmount": 0,
"lineItemAmount": 0,
"productCode": "example",
"productSku": "example",
"taxDetails": {
"localAmount": 0,
"nationalAmount": 0,
"totalAmount": 0
},
"unitOfMeasure": "example",
"unitPrice": 0,
"unitQuantity": 0
}
],
"location": {
"id": "d8b2f3e4-5c6a-7890-1bcd-ef2345678901",
"outlet": {
"id": "e7c3a4b5-6d7e-8901-2cde-f34567890123",
"pointOfInteraction": "example"
}
},
"merchantCategory": "example",
"organization": {
"acceptorApplicationCounts": [
{
"acceptorApplicationStatus": "APPROVED",
"total": 0
}
],
"acceptors": {
"items": [
"example"
],
"pageInfo": "example"
},
"achNotificationsOfChange": {
"items": [
"example"
],
"pageInfo": "example"
},
"achReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"allocations": {
"items": [
"example"
],
"pageInfo": "example"
},
"allowedMerchantCategories": [
{
"code": "example"
}
],
"authorizationSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"businessAddress": {
"address1": "example",
"address2": "example",
"address3": "example",
"city": "example",
"countryCode": "AFG",
"postalCode": "example",
"state": "example"
},
"businessName": "Clacksworth Keyboards",
"capabilities": [
"ACQUIRING"
],
"fees": {
"items": [
"example"
],
"pageInfo": "example"
},
"feeSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingAchReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisbursementReturns": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingDisputeEvents": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"fundingTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"id": "b6d4e5f6-7a8b-9012-3def-456789012345",
"legalName": "example",
"name": "Ben Torres",
"paymentTransactions": {
"items": [
"example"
],
"pageInfo": "example"
},
"paymentTransactionSummaries": {
"items": [
"example"
],
"pageInfo": "example"
},
"phoneNumber": "example",
"reportAvailability": [
{
"availabilityEndDate": "2026-01-15",
"availabilityStartDate": "2026-01-15",
"dateType": "ACTIVITY_DATE"
}
],
"settings": {
"access": "example"
}
},
"paymentId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"paymentMethod": {
"acquirerToken": "example",
"brand": "VISA",
"type": "CARD"
},
"processingNetwork": "VISA",
"processorResponseCode": "A0000",
"processorResponseMessage": "example",
"reference": "example",
"responseType": "APPROVAL",
"resultLabel": "example",
"taxes": {
"localAmount": 0,
"nationalAmount": 0,
"totalAmount": 0
},
"taxIdentificationNumber": "example",
"transactionDateTime": "2026-01-15T14:30:00Z",
"transactionType": "AUTHORIZATION"
}
}
}
Was this page helpful?